Package net.shibboleth.idp.authn.spnego.impl

# Class SPNEGOContext

java.lang.Object
org.opensaml.messaging.context.BaseContext
net.shibboleth.idp.authn.spnego.impl.SPNEGOContext

All Implemented Interfaces:
  `Iterable<BaseContext>`

public class SPNEGOContext extends BaseContext
Context, usually attached to `AuthenticationContext`, that carries configuration data and request state for SPNEGO authentication.

## Nested Class Summary

## Nested classes/interfaces inherited from class org.opensaml.messaging.context.BaseContext

`BaseContext.ContextSetNoRemoveIteratorDecorator, BaseContext.DeprecatedContextClassNameLookAside`

## Field Summary

Fields
Modifier and Type
Field
Description
`private GSSContextAcceptor`
`contextAcceptor`
Utility class that manages credentials and state for GSS loop.
`private KerberosSettings`
`kerberosSettings`
The Kerberos settings.

## Constructor Summary

Constructors
Constructor
Description
`SPNEGOContext()`

## Method Summary

Modifier and Type
Method
Description
`GSSContextAcceptor`
`getContextAcceptor()`
Get the context acceptor for the current request.
`KerberosSettings`
`getKerberosSettings()`
Get the Kerberos settings.
`void`
`setContextAcceptor(GSSContextAcceptor acceptor)`
Set the context acceptor for the current request.
`void`
`setKerberosSettings(KerberosSettings settings)`
Set the Kerberos settings.

### Methods inherited from class org.opensaml.messaging.context.BaseContext

`addSubcontext, addSubcontext, clearSubcontexts, containsSubcontext, createSubcontext, ensureSubcontext, ensureSubcontext, getParent, getSubcontext, getSubcontext, getSubcontext, getSubcontext, iterator, removeFromParent, removeSubcontext, removeSubcontext, setParent`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface java.lang.Iterable

`forEach, spliterator`

## Field Details

### kerberosSettings

@Nullable private KerberosSettings kerberosSettings
The Kerberos settings.

### contextAcceptor

@Nullable private GSSContextAcceptor contextAcceptor
Utility class that manages credentials and state for GSS loop.

## Constructor Details

### SPNEGOContext

public SPNEGOContext()

## Method Details

### getKerberosSettings

@Nullable public KerberosSettings getKerberosSettings()
Get the Kerberos settings.

Returns:
  the Kerberos settings

### setKerberosSettings

public void setKerberosSettings(@Nullable KerberosSettings settings)
Set the Kerberos settings.

Parameters:
  `settings` - the Kerberos settings

### getContextAcceptor

@Nullable public GSSContextAcceptor getContextAcceptor()
Get the context acceptor for the current request.

Returns:
  context acceptor

### setContextAcceptor

public void setContextAcceptor(@Nullable GSSContextAcceptor acceptor)
Set the context acceptor for the current request.

Parameters:
  `acceptor` - context acceptor